# ColAsset.UpAxis (JavaFX 3D Model Importers)
Date: 2014-02-09

com.interactivemesh.jfx.importer.col

## Enum ColAsset.UpAxis

- java.lang.Object
- - java.lang.Enum<ColAsset.UpAxis>
  - - com.interactivemesh.jfx.importer.col.ColAsset.UpAxis

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ColAsset.UpAxis>

Enclosing class:
  ColAsset

    public static enum ColAsset.UpAxis
    extends java.lang.Enum<ColAsset.UpAxis>

UpAxis describes the coordinate system of the geometric data. All geometry coordinates of a COLLADA file are right-handed.

`X_UP`, `Y_UP`, and `Z_UP` specify which axis is considered upward, which is considered to the right, and which is considered inward.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`X_UP` Upward axis: positive x, right axis: negative y, inward axis: positive z.
`Y_UP` Upward axis: positive y, right axis: positive x, inward axis: positive z.
`Z_UP` Upward axis: positive z, right axis: positive x, inward axis: negative y.

### Method Summary

All Methods Static Methods Concrete Methods
`static ColAsset.UpAxis` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ColAsset.UpAxis[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### X_UP

    public static final ColAsset.UpAxis X_UP

Upward axis: positive x, right axis: negative y, inward axis: positive z.

#### Y_UP

    public static final ColAsset.UpAxis Y_UP

Upward axis: positive y, right axis: positive x, inward axis: positive z.

#### Z_UP

    public static final ColAsset.UpAxis Z_UP

Upward axis: positive z, right axis: positive x, inward axis: negative y.

### Method Detail

#### values

    public static ColAsset.UpAxis[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ColAsset.UpAxis c : ColAsset.UpAxis.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ColAsset.UpAxis valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

Copyright (C) 2013-2014 InteractiveMesh e.K.